/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2025 SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.bausystem.features.region;

import de.steamwar.bausystem.BauSystem;
import de.steamwar.bausystem.region.Region;
import de.steamwar.bausystem.utils.ScoreboardElement;
import de.steamwar.linkage.Linked;
import org.bukkit.entity.Player;

import java.util.List;

@Linked
public class RegionScoreboardElement implements ScoreboardElement {

    @Override
    public ScoreboardGroup getGroup() {
        return ScoreboardGroup.HEADER;
    }

    @Override
    public int order() {
        return 1;
    }

    @Override
    public String get(Region region, Player p) {
        if (region.getType().isGlobal()) return null;
        if (!region.getGameModeConfig().isLoaded()) return null;
        List<String> names = region.getGameModeConfig().getServer().getChatNames();
        if (names.isEmpty()) return null;
        return "§e" + BauSystem.MESSAGE.parse("SCOREBOARD_REGION", p) + "§8: §7" + names.get(0);
    }
}
